import { Shape } from "./Shape.ts";
import { SVGWidget } from "./SVGWidget.ts";
import { Text } from "./Text.ts";
import { ISize } from "./Widget.ts";
import "../src/TextBox.css";
export declare class TextBox extends SVGWidget {
    protected _shape: Shape;
    protected _text: Text;
    constructor();
    padding(_: any): this;
    getTextX(width: any): number;
    getBBox(refresh?: boolean, round?: boolean): {
        x: number;
        y: number;
        width: number;
        height: number;
    };
    enter(domNode: any, element: any): void;
    _prevHash: any;
    update(domNode: any, element: any): void;
    exit(domNode: any, element: any): void;
    click(): void;
    dblclick(): void;
}
export interface TextBox {
    text(): string;
    text(_: string): this;
    fontSize(): number;
    fontSize(_: number): this;
    shape_colorFill(): string;
    shape_colorFill(_: string): this;
    shape_colorStroke(): string;
    shape_colorStroke(_: string): this;
    text_colorFill(): string;
    text_colorFill(_: string): this;
    text_fontFamily(): string;
    text_fontFamily(_: string): this;
    paddingLeft(): number;
    paddingLeft(_: number): this;
    paddingRight(): number;
    paddingRight(_: number): this;
    paddingTop(): number;
    paddingTop(_: number): this;
    paddingBottom(): number;
    paddingBottom(_: number): this;
    anchor(): "start" | "middle" | "end";
    anchor(_: "start" | "middle" | "end"): this;
    fixedSize(): ISize;
    fixedSize(_: ISize): this;
    tooltip(): string;
    tooltip(_: string): this;
}
